package com.hdkj.lt.base.enums;

/**
 * @author lisonglin
 * @date: 2025/5/30
 * @Description
 */
public enum FaultTypeEnum implements BaseValidEnum<Integer>{


    FAULT_Type_ZX(0,"整线停电"),

    FAULT_Type_FD(1,"分段停电"),

    FAULT_Type_FZ(2, "分支停电");



    final Integer code;

    final String desc;

    FaultTypeEnum(Integer code, String desc){
        this.code = code;
        this.desc = desc;
    }

    @Override
    public Integer getCode() {
        return this.code;
    }

    @Override
    public String getDesc() {
        return this.desc;
    }
}
